You are missing our premiere tool bar navigation system! Register and use it for FREE!

NukeCops  
•  Home •  Downloads •  Gallery •  Your Account •  Forums • 
Readme First
- Readme First! -

Read and follow the rules, otherwise your posts will be closed
Modules
· Home
· FAQ
· Buy a Theme
· Advertising
· AvantGo
· Bookmarks
· Columbia
· Community
· Donations
· Downloads
· Feedback
· Forums
· PHP-Nuke HOWTO
· Private Messages
· Search
· Statistics
· Stories Archive
· Submit News
· Surveys
· Theme Gallery
· Top
· Topics
· Your Account
Who's Online
There are currently, 368 guest(s) and 0 member(s) that are online.

You are Anonymous user. You can register for free by clicking here
Nuke Cops :: View topic - confused: bbtoNuke, phpBB port, 2.0.2, 2.0.4, 2.0.6v [ ]
 Forum FAQ  •  Search  •   •  Memberlist  •  Usergroups   •  Register  •  Profile •    •  Log in to check your private messages  •  Log in

 
Post new topic  Reply to topicprinter-friendly view
View previous topic Log in to check your private messages View next topic
Author Message
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Wed Jul 09, 2003 8:16 pm Reply with quoteBack to top

Hi,

I am confused as to what phpBB module I am running (all these numbers: 2.0.2, 2.0.4, 2.0.6, v2.1...), and how I can upgrade it. I ran the latest analyzer, and it said you're using phpBB 2.0.2... you need to upgrade...

I am using phpnuke 6.5, which had the phpBB forum implemented by default.

From the phpBB Administration page at the bottom, I got this:

Powered by phpBB 2.0.2 © 2001 phpBB Group
phpBB port v2.1 based on Tom Nitzschner's phpbb2.0.6 upgraded to phpBB 2.0.4 standalone was developed and tested by:
ArtificialIntel, ChatServ, mikem, sixonetonoffun and Paul Laudanski (aka Zhen-Xjell).

Version 2.1 by Nuke Cops © 2003 http://www.nukecops.com

Please tell me how to upgrade (link, if possible).

Thank you very much,
Rapid
Find all posts by rapidView user's profileSend private message
chatserv
General
General


Joined: Jan 12, 2003
Posts: 3128

Location: Puerto Rico

PostPosted: Wed Jul 09, 2003 8:32 pm Reply with quoteBack to top

Ok here goes, BBtoNuke 2.0.6 was ported by TomN and it was based on phpBB 2.0.3, Version 2.1 by NukeCops was based on phpBB 2.0.4 but is incorrectly listed as 2.0.2 in PHP-Nuke 6.5, if yours still shows as .0.2 and you are using Nuke 6.5 it means you have not applied the sec-fix patches, else it would list the correct version, the latest port: BBtoNuke 2.0.5 (and the ones that may follow it) will use phpBB's version to avoid future confusions although i guess if the phpBB group release a 2.0.6 version there might be a bit of confusion with Tom's port, we'll see how we deal with that when and if the time comes.

As a side note before upgrading to the latest version of the phpBB port the version of the one you are running must be corrected or else the upgrade script will not run, i decided to make it like that to avoid problems with failed or corrupted upgrades. BBtoNuke 2.0.5 is currently listed as RC1 but is being extensively tested at diverse websites including NukeResources, NukeFixes, NukeMods and BetaNukeCops and the beta stages had testers from the Elite Nukers and webmasters from PortedMods and CastleRain, so if all goes ok it should be released as stable in a few days.

_________________
Feed a man a fish and you feed him for a day. Teach a man to fish and you feed him for a lifetime.
ScriptHeaven | NukeResources
Find all posts by chatservView user's profileSend private messageVisit poster's website
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Wed Jul 09, 2003 8:47 pm Reply with quoteBack to top

chatserv, thanks.

"you have not applied the sec-fix patches"... are these phpnuke patches or phpBB module pathces? WHere can I get these patches? I bet they are in downloads... I'll look. Sounds like I have to do this anyway, in order that later I may upgrade to what you called 2.0.5.

Phew... ok it's clearer now.

Thanks again.
Find all posts by rapidView user's profileSend private message
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Wed Jul 09, 2003 9:02 pm Reply with quoteBack to top

well, I thought this would do the trick: http://www.nukecops.com/downloads-file-66-details-BBtoNuke_2.1_fix_patch.html

but it didn't (it still says phpBB 2.0.2...

I will look into it some more tomorrow.
Find all posts by rapidView user's profileSend private message
chatserv
General
General


Joined: Jan 12, 2003
Posts: 3128

Location: Puerto Rico

PostPosted: Wed Jul 09, 2003 9:17 pm Reply with quoteBack to top

This article lists both sec-fix patches along with download links, do not get confused with the fixes listed for Nuke 6.0, only get the ones for 6.5

_________________
Feed a man a fish and you feed him for a day. Teach a man to fish and you feed him for a lifetime.
ScriptHeaven | NukeResources
Find all posts by chatservView user's profileSend private messageVisit poster's website
disgruntledtech
Site Admin
Site Admin


Joined: Apr 14, 2003
Posts: 991

Location: Tulsa, OK

PostPosted: Wed Jul 09, 2003 10:24 pm Reply with quoteBack to top

maybe port versions should be 2.0.5n 2.0.6n etc
would definatly make it easier
Find all posts by disgruntledtechView user's profileSend private messageSend e-mailVisit poster's website
Mighty_Y
Sergeant
Sergeant


Joined: Feb 27, 2003
Posts: 94


PostPosted: Thu Jul 10, 2003 1:55 am Reply with quoteBack to top

or 2.0.5nc and 2.0.6nc and so on
where nc stands for nukecops
Find all posts by Mighty_YView user's profileSend private messageVisit poster's website
JediStryker
Nuke Soldier
Nuke Soldier


Joined: Apr 16, 2003
Posts: 13

Location: Keflavik NAS, Iceland

PostPosted: Thu Jul 10, 2003 2:00 am Reply with quoteBack to top

Really, you should keep it as confusing as possible.

Job security and all. Wink
Find all posts by JediStrykerView user's profileSend private messageSend e-mailVisit poster's website
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Thu Jul 10, 2003 1:59 pm Reply with quoteBack to top

chatserv wrote:
This article lists both sec-fix patches along with download links, do not get confused with the fixes listed for Nuke 6.0, only get the ones for 6.5


Chatserv, thanks. I downloaded the patches. There is a "fixchanges.txt" file that tells how to make the changes, but then it seems the changes are already made in the included in the php files. Big relief...

Is it ok that I applied the fix in my previous post already?

Thank you
Find all posts by rapidView user's profileSend private message
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Thu Jul 10, 2003 7:42 pm Reply with quoteBack to top

chatserv wrote:
This article lists both sec-fix patches along with download links, do not get confused with the fixes listed for Nuke 6.0, only get the ones for 6.5


My phpnuke 6.5 has been patched to sec-fix 4, and now the forums say phpBB 2.0.4. Very Happy

Thank you again, chatserv
Find all posts by rapidView user's profileSend private message
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Thu Jul 24, 2003 7:11 pm Reply with quoteBack to top

Chatserv,

Is there a way to be notified when the bbtonuke 2.0.5 version comes out?

"BBtoNuke 2.0.5 is currently listed as RC1 but is being extensively tested at diverse websites"
Find all posts by rapidView user's profileSend private message
chatserv
General
General


Joined: Jan 12, 2003
Posts: 3128

Location: Puerto Rico

PostPosted: Thu Jul 24, 2003 8:01 pm Reply with quoteBack to top

BBtoNuke is planned to be installed right here at NC tomorrow since we need to test it with higher traffics although NukeMods has been using it for awhile now and it seems to be working well, if it behaves as well here it will go out soon afterwards.

_________________
Feed a man a fish and you feed him for a day. Teach a man to fish and you feed him for a lifetime.
ScriptHeaven | NukeResources
Find all posts by chatservView user's profileSend private messageVisit poster's website
rapid
Corporal
Corporal


Joined: Jul 09, 2003
Posts: 71


PostPosted: Fri Aug 01, 2003 8:34 am Reply with quoteBack to top

since I applied secfixes 3 and 4, I am now ready to update to the recently released bbtonuke 2.0.5, correct? (http://www.nukecops.com/downloads-file-128-details-BBtoNuke_2.0.5.html)

While I am at it (talking about versions): as I said, I updated my nuke 6.5 version with secfixes 3 and 4. Now when I go to statistics, it says phpnuke 6.7... I know the upgrades are available free once again at phpnuke.org, but do I need them? or is my nuke site updated? or how about the Nuke Cops PHP-Nuke 6.5 Enhanced Bundle? Can I put that on top of what I have right now?

Thank you very much
Find all posts by rapidView user's profileSend private message
CanuckKev
Lieutenant
Lieutenant


Joined: Jun 02, 2003
Posts: 194

Location: Canada

PostPosted: Mon Aug 04, 2003 3:45 pm Reply with quoteBack to top

Okay, so which upgrade do we use if we have Nuke 6.5 with secfix3 and 4 applied?

I am having a hard time figuring this out. Is it BBtoNuke 2.05 or NukeCops BBtoNuke 2.05?

_________________
-CanuckKev
PRESS F5 AND ALL WILL BE CLEAR...
RidersClub
Find all posts by CanuckKevView user's profileSend private messageVisit poster's websiteAIM AddressMSN MessengerICQ Number
Zhen-Xjell
Nuke Cops Founder
Nuke Cops Founder


Joined: Nov 14, 2002
Posts: 5939


PostPosted: Mon Aug 04, 2003 3:50 pm Reply with quoteBack to top

You need to install 2.0.5 first. Then install the 2.0.6 upgrade.

_________________
Paul Laudanski, Microsoft MVP Windows-Security
CastleCops: [de] [en] [wiki]
Find all posts by Zhen-XjellView user's profileSend private messageSend e-mailVisit poster's website
Display posts from previous:      
Post new topic  Reply to topicprinter-friendly view
View previous topic Log in to check your private messages View next topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum



Powered by phpBB © 2001, 2005 phpBB Group

Ported by Nuke Cops © 2003 www.nukecops.com
:: FI Theme :: PHP-Nuke theme by coldblooded (www.nukemods.com) ::
Powered by TOGETHER TEAM srl ITALY http://www.togetherteam.it - DONDELEO E-COMMERCE http://www.DonDeLeo.com - TUTTISU E-COMMERCE http://www.tuttisu.it
Web site engine's code is Copyright © 2002 by PHP-Nuke. All Rights Reserved. PHP-Nuke is Free Software released under the GNU/GPL license.
Page Generation: 0.159 Seconds - 164 pages served in past 5 minutes. Nuke Cops Founded by Paul Laudanski (Zhen-Xjell)
:: FI Theme :: PHP-Nuke theme by coldblooded (www.nukemods.com) ::